Makefile 26 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837
  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. am__is_gnu_make = { \
  12. if test -z '$(MAKELEVEL)'; then \
  13. false; \
  14. elif test -n '$(MAKE_HOST)'; then \
  15. true; \
  16. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  17. true; \
  18. else \
  19. false; \
  20. fi; \
  21. }
  22. am__make_running_with_option = \
  23. case $${target_option-} in \
  24. ?) ;; \
  25. *) echo "am__make_running_with_option: internal error: invalid" \
  26. "target option '$${target_option-}' specified" >&2; \
  27. exit 1;; \
  28. esac; \
  29. has_opt=no; \
  30. sane_makeflags=$$MAKEFLAGS; \
  31. if $(am__is_gnu_make); then \
  32. sane_makeflags=$$MFLAGS; \
  33. else \
  34. case $$MAKEFLAGS in \
  35. *\\[\ \ ]*) \
  36. bs=\\; \
  37. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  38. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  39. esac; \
  40. fi; \
  41. skip_next=no; \
  42. strip_trailopt () \
  43. { \
  44. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  45. }; \
  46. for flg in $$sane_makeflags; do \
  47. test $$skip_next = yes && { skip_next=no; continue; }; \
  48. case $$flg in \
  49. *=*|--*) continue;; \
  50. -*I) strip_trailopt 'I'; skip_next=yes;; \
  51. -*I?*) strip_trailopt 'I';; \
  52. -*O) strip_trailopt 'O'; skip_next=yes;; \
  53. -*O?*) strip_trailopt 'O';; \
  54. -*l) strip_trailopt 'l'; skip_next=yes;; \
  55. -*l?*) strip_trailopt 'l';; \
  56. -[dEDm]) skip_next=yes;; \
  57. -[JT]) skip_next=yes;; \
  58. esac; \
  59. case $$flg in \
  60. *$$target_option*) has_opt=yes; break;; \
  61. esac; \
  62. done; \
  63. test $$has_opt = yes
  64. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  65. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  66. pkgdatadir = $(datadir)/gtkpasman
  67. pkgincludedir = $(includedir)/gtkpasman
  68. pkglibdir = $(libdir)/gtkpasman
  69. pkglibexecdir = $(libexecdir)/gtkpasman
  70. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  71. install_sh_DATA = $(install_sh) -c -m 644
  72. install_sh_PROGRAM = $(install_sh) -c
  73. install_sh_SCRIPT = $(install_sh) -c
  74. INSTALL_HEADER = $(INSTALL_DATA)
  75. transform = $(program_transform_name)
  76. NORMAL_INSTALL = :
  77. PRE_INSTALL = :
  78. POST_INSTALL = :
  79. NORMAL_UNINSTALL = :
  80. PRE_UNINSTALL = :
  81. POST_UNINSTALL = :
  82. subdir = .
  83. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  84. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  85. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  86. $(ACLOCAL_M4)
  87. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  88. $(am__configure_deps) $(am__DIST_COMMON)
  89. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  90. configure.lineno config.status.lineno
  91. mkinstalldirs = $(install_sh) -d
  92. CONFIG_HEADER = config.h
  93. CONFIG_CLEAN_FILES =
  94. CONFIG_CLEAN_VPATH_FILES =
  95. AM_V_P = $(am__v_P_$(V))
  96. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  97. am__v_P_0 = false
  98. am__v_P_1 = :
  99. AM_V_GEN = $(am__v_GEN_$(V))
  100. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  101. am__v_GEN_0 = @echo " GEN " $@;
  102. am__v_GEN_1 =
  103. AM_V_at = $(am__v_at_$(V))
  104. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  105. am__v_at_0 = @
  106. am__v_at_1 =
  107. SOURCES =
  108. DIST_SOURCES =
  109. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  110. ctags-recursive dvi-recursive html-recursive info-recursive \
  111. install-data-recursive install-dvi-recursive \
  112. install-exec-recursive install-html-recursive \
  113. install-info-recursive install-pdf-recursive \
  114. install-ps-recursive install-recursive installcheck-recursive \
  115. installdirs-recursive pdf-recursive ps-recursive \
  116. tags-recursive uninstall-recursive
  117. am__can_run_installinfo = \
  118. case $$AM_UPDATE_INFO_DIR in \
  119. n|no|NO) false;; \
  120. *) (install-info --version) >/dev/null 2>&1;; \
  121. esac
  122. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  123. distclean-recursive maintainer-clean-recursive
  124. am__recursive_targets = \
  125. $(RECURSIVE_TARGETS) \
  126. $(RECURSIVE_CLEAN_TARGETS) \
  127. $(am__extra_recursive_targets)
  128. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  129. cscope distdir dist dist-all distcheck
  130. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  131. $(LISP)config.h.in
  132. # Read a list of newline-separated strings from the standard input,
  133. # and print each of them once, without duplicates. Input order is
  134. # *not* preserved.
  135. am__uniquify_input = $(AWK) '\
  136. BEGIN { nonempty = 0; } \
  137. { items[$$0] = 1; nonempty = 1; } \
  138. END { if (nonempty) { for (i in items) print i; }; } \
  139. '
  140. # Make sure the list of sources is unique. This is necessary because,
  141. # e.g., the same source file might be shared among _SOURCES variables
  142. # for different programs/libraries.
  143. am__define_uniq_tagged_files = \
  144. list='$(am__tagged_files)'; \
  145. unique=`for i in $$list; do \
  146. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  147. done | $(am__uniquify_input)`
  148. ETAGS = etags
  149. CTAGS = ctags
  150. CSCOPE = cscope
  151. DIST_SUBDIRS = $(SUBDIRS)
  152. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
  153. COPYING ChangeLog INSTALL NEWS README TODO compile install-sh \
  154. missing
  155. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  156. distdir = $(PACKAGE)-$(VERSION)
  157. top_distdir = $(distdir)
  158. am__remove_distdir = \
  159. if test -d "$(distdir)"; then \
  160. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  161. && rm -rf "$(distdir)" \
  162. || { sleep 5 && rm -rf "$(distdir)"; }; \
  163. else :; fi
  164. am__post_remove_distdir = $(am__remove_distdir)
  165. am__relativize = \
  166. dir0=`pwd`; \
  167. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  168. sed_rest='s,^[^/]*/*,,'; \
  169. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  170. sed_butlast='s,/*[^/]*$$,,'; \
  171. while test -n "$$dir1"; do \
  172. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  173. if test "$$first" != "."; then \
  174. if test "$$first" = ".."; then \
  175. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  176. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  177. else \
  178. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  179. if test "$$first2" = "$$first"; then \
  180. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  181. else \
  182. dir2="../$$dir2"; \
  183. fi; \
  184. dir0="$$dir0"/"$$first"; \
  185. fi; \
  186. fi; \
  187. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  188. done; \
  189. reldir="$$dir2"
  190. DIST_ARCHIVES = $(distdir).tar.gz
  191. GZIP_ENV = --best
  192. DIST_TARGETS = dist-gzip
  193. distuninstallcheck_listfiles = find . -type f -print
  194. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  195. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  196. distcleancheck_listfiles = find . -type f -print
  197. ACLOCAL = ${SHELL} /home/stephane/Téléchargements/gtkpasman-9999/missing aclocal-1.15
  198. ALL_LINGUAS =
  199. AMTAR = $${TAR-tar}
  200. AM_DEFAULT_VERBOSITY = 1
  201. AUTOCONF = ${SHELL} /home/stephane/Téléchargements/gtkpasman-9999/missing autoconf
  202. AUTOHEADER = ${SHELL} /home/stephane/Téléchargements/gtkpasman-9999/missing autoheader
  203. AUTOMAKE = ${SHELL} /home/stephane/Téléchargements/gtkpasman-9999/missing automake-1.15
  204. AWK = gawk
  205. CATALOGS =
  206. CATOBJEXT = .gmo
  207. CC = gcc
  208. CCDEPMODE = depmode=gcc3
  209. CFLAGS = -g -O2
  210. CPP = gcc -E
  211. CPPFLAGS =
  212. CYGPATH_W = echo
  213. DATADIRNAME = share
  214. DEFS = -DHAVE_CONFIG_H
  215. DEPDIR = .deps
  216. ECHO_C =
  217. ECHO_N = -n
  218. ECHO_T =
  219. EGREP = /usr/bin/grep -E
  220. EXEEXT =
  221. GETTEXT_PACKAGE = gtkpasman
  222. GLIB_COMPILE_SCHEMAS = glib-compile-schemas
  223. GMOFILES =
  224. GMSGFMT = /usr/bin/msgfmt
  225. GREP = /usr/bin/grep
  226. GSETTINGS_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
  227. GSETTINGS_DISABLE_SCHEMAS_COMPILE =
  228. GSETTINGS_LIBS = -lgio-2.0 -lgobject-2.0 -lglib-2.0
  229. GTK_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/libdrm -I/usr/include/libpng16 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng16 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
  230. GTK_LIBS = -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0
  231. INSTALL = /usr/bin/install -c
  232. INSTALL_DATA = ${INSTALL} -m 644
  233. INSTALL_PROGRAM = ${INSTALL}
  234. INSTALL_SCRIPT = ${INSTALL}
  235. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  236. INSTOBJEXT = .mo
  237. INTLLIBS =
  238. INTLTOOL_EXTRACT = /usr/bin/intltool-extract
  239. INTLTOOL_MERGE = /usr/bin/intltool-merge
  240. INTLTOOL_PERL = /usr/bin/perl
  241. INTLTOOL_UPDATE = /usr/bin/intltool-update
  242. INTLTOOL_V_MERGE = $(INTLTOOL__v_MERGE_$(V))
  243. INTLTOOL_V_MERGE_OPTIONS = $(intltool__v_merge_options_$(V))
  244. INTLTOOL__v_MERGE_ = $(INTLTOOL__v_MERGE_$(AM_DEFAULT_VERBOSITY))
  245. INTLTOOL__v_MERGE_0 = @echo " ITMRG " $@;
  246. LDFLAGS =
  247. LIBOBJS =
  248. LIBS =
  249. LTLIBOBJS =
  250. MAKEINFO = ${SHELL} /home/stephane/Téléchargements/gtkpasman-9999/missing makeinfo
  251. MKDIR_P = /usr/bin/mkdir -p
  252. MKINSTALLDIRS = ./mkinstalldirs
  253. MSGFMT = /usr/bin/msgfmt
  254. MSGFMT_OPTS = -c
  255. MSGMERGE = /usr/bin/msgmerge
  256. OBJEXT = o
  257. PACKAGE = gtkpasman
  258. PACKAGE_BUGREPORT = jcpp@users.sourceforge.net
  259. PACKAGE_NAME = GtkPasman
  260. PACKAGE_STRING = GtkPasman 0.12.2
  261. PACKAGE_TARNAME = gtkpasman
  262. PACKAGE_URL =
  263. PACKAGE_VERSION = 0.12.2
  264. PATH_SEPARATOR = :
  265. PKG_CONFIG = /usr/bin/pkg-config
  266. PKG_CONFIG_LIBDIR =
  267. PKG_CONFIG_PATH =
  268. POFILES =
  269. POSUB = po
  270. PO_IN_DATADIR_FALSE =
  271. PO_IN_DATADIR_TRUE =
  272. SET_MAKE =
  273. SHELL = /bin/sh
  274. STRIP =
  275. USE_NLS = yes
  276. VERSION = 0.12.2
  277. XGETTEXT = /usr/bin/xgettext
  278. abs_builddir = /home/stephane/Téléchargements/gtkpasman-9999
  279. abs_srcdir = /home/stephane/Téléchargements/gtkpasman-9999
  280. abs_top_builddir = /home/stephane/Téléchargements/gtkpasman-9999
  281. abs_top_srcdir = /home/stephane/Téléchargements/gtkpasman-9999
  282. ac_ct_CC = gcc
  283. am__include = include
  284. am__leading_dot = .
  285. am__quote =
  286. am__tar = $${TAR-tar} chof - "$$tardir"
  287. am__untar = $${TAR-tar} xf -
  288. bindir = ${exec_prefix}/bin
  289. build_alias =
  290. builddir = .
  291. datadir = ${datarootdir}
  292. datarootdir = ${prefix}/share
  293. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  294. dvidir = ${docdir}
  295. exec_prefix = ${prefix}
  296. gsettingsschemadir = ${datarootdir}/glib-2.0/schemas
  297. host_alias =
  298. htmldir = ${docdir}
  299. includedir = ${prefix}/include
  300. infodir = ${datarootdir}/info
  301. install_sh = ${SHELL} /home/stephane/Téléchargements/gtkpasman-9999/install-sh
  302. intltool__v_merge_options_ = $(intltool__v_merge_options_$(AM_DEFAULT_VERBOSITY))
  303. intltool__v_merge_options_0 = -q
  304. libdir = ${exec_prefix}/lib
  305. libexecdir = ${exec_prefix}/libexec
  306. localedir = ${datarootdir}/locale
  307. localstatedir = ${prefix}/var
  308. mandir = ${datarootdir}/man
  309. mkdir_p = $(MKDIR_P)
  310. oldincludedir = /usr/include
  311. pdfdir = ${docdir}
  312. prefix = /usr
  313. program_transform_name = s,x,x,
  314. psdir = ${docdir}
  315. sbindir = ${exec_prefix}/sbin
  316. sharedstatedir = ${prefix}/com
  317. srcdir = .
  318. sysconfdir = ${prefix}/etc
  319. target_alias =
  320. top_build_prefix =
  321. top_builddir = .
  322. top_srcdir = .
  323. SUBDIRS = src data po
  324. EXTRA_DIST = \
  325. data/gtkpasman.desktop\
  326. data/gpasman4.sample\
  327. data/gtkpasman.gschema.xml\
  328. debian/copyright\
  329. debian/control\
  330. debian/docs\
  331. debian/changelog\
  332. debian/compat\
  333. debian/rules\
  334. dists/gentoo\
  335. autogen.sh\
  336. AUTHORS\
  337. ChangeLog\
  338. COPYING\
  339. INSTALL\
  340. NEWS\
  341. README
  342. MAINTAINERCLEANFILES = \
  343. aclocal.m4\
  344. compile\
  345. config.h.in\
  346. config.h.in~\
  347. configure\
  348. depcomp\
  349. install-sh\
  350. Makefile.in\
  351. missing\
  352. src/Makefile.in\
  353. data/Makefile.in
  354. all: config.h
  355. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  356. .SUFFIXES:
  357. am--refresh: Makefile
  358. @:
  359. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  360. @for dep in $?; do \
  361. case '$(am__configure_deps)' in \
  362. *$$dep*) \
  363. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  364. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  365. && exit 0; \
  366. exit 1;; \
  367. esac; \
  368. done; \
  369. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  370. $(am__cd) $(top_srcdir) && \
  371. $(AUTOMAKE) --gnu Makefile
  372. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  373. @case '$?' in \
  374. *config.status*) \
  375. echo ' $(SHELL) ./config.status'; \
  376. $(SHELL) ./config.status;; \
  377. *) \
  378. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  379. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  380. esac;
  381. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  382. $(SHELL) ./config.status --recheck
  383. $(top_srcdir)/configure: $(am__configure_deps)
  384. $(am__cd) $(srcdir) && $(AUTOCONF)
  385. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  386. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  387. $(am__aclocal_m4_deps):
  388. config.h: stamp-h1
  389. @test -f $@ || rm -f stamp-h1
  390. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  391. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  392. @rm -f stamp-h1
  393. cd $(top_builddir) && $(SHELL) ./config.status config.h
  394. $(srcdir)/config.h.in: $(am__configure_deps)
  395. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  396. rm -f stamp-h1
  397. touch $@
  398. distclean-hdr:
  399. -rm -f config.h stamp-h1
  400. # This directory's subdirectories are mostly independent; you can cd
  401. # into them and run 'make' without going through this Makefile.
  402. # To change the values of 'make' variables: instead of editing Makefiles,
  403. # (1) if the variable is set in 'config.status', edit 'config.status'
  404. # (which will cause the Makefiles to be regenerated when you run 'make');
  405. # (2) otherwise, pass the desired values on the 'make' command line.
  406. $(am__recursive_targets):
  407. @fail=; \
  408. if $(am__make_keepgoing); then \
  409. failcom='fail=yes'; \
  410. else \
  411. failcom='exit 1'; \
  412. fi; \
  413. dot_seen=no; \
  414. target=`echo $@ | sed s/-recursive//`; \
  415. case "$@" in \
  416. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  417. *) list='$(SUBDIRS)' ;; \
  418. esac; \
  419. for subdir in $$list; do \
  420. echo "Making $$target in $$subdir"; \
  421. if test "$$subdir" = "."; then \
  422. dot_seen=yes; \
  423. local_target="$$target-am"; \
  424. else \
  425. local_target="$$target"; \
  426. fi; \
  427. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  428. || eval $$failcom; \
  429. done; \
  430. if test "$$dot_seen" = "no"; then \
  431. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  432. fi; test -z "$$fail"
  433. ID: $(am__tagged_files)
  434. $(am__define_uniq_tagged_files); mkid -fID $$unique
  435. tags: tags-recursive
  436. TAGS: tags
  437. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  438. set x; \
  439. here=`pwd`; \
  440. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  441. include_option=--etags-include; \
  442. empty_fix=.; \
  443. else \
  444. include_option=--include; \
  445. empty_fix=; \
  446. fi; \
  447. list='$(SUBDIRS)'; for subdir in $$list; do \
  448. if test "$$subdir" = .; then :; else \
  449. test ! -f $$subdir/TAGS || \
  450. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  451. fi; \
  452. done; \
  453. $(am__define_uniq_tagged_files); \
  454. shift; \
  455. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  456. test -n "$$unique" || unique=$$empty_fix; \
  457. if test $$# -gt 0; then \
  458. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  459. "$$@" $$unique; \
  460. else \
  461. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  462. $$unique; \
  463. fi; \
  464. fi
  465. ctags: ctags-recursive
  466. CTAGS: ctags
  467. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  468. $(am__define_uniq_tagged_files); \
  469. test -z "$(CTAGS_ARGS)$$unique" \
  470. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  471. $$unique
  472. GTAGS:
  473. here=`$(am__cd) $(top_builddir) && pwd` \
  474. && $(am__cd) $(top_srcdir) \
  475. && gtags -i $(GTAGS_ARGS) "$$here"
  476. cscope: cscope.files
  477. test ! -s cscope.files \
  478. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  479. clean-cscope:
  480. -rm -f cscope.files
  481. cscope.files: clean-cscope cscopelist
  482. cscopelist: cscopelist-recursive
  483. cscopelist-am: $(am__tagged_files)
  484. list='$(am__tagged_files)'; \
  485. case "$(srcdir)" in \
  486. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  487. *) sdir=$(subdir)/$(srcdir) ;; \
  488. esac; \
  489. for i in $$list; do \
  490. if test -f "$$i"; then \
  491. echo "$(subdir)/$$i"; \
  492. else \
  493. echo "$$sdir/$$i"; \
  494. fi; \
  495. done >> $(top_builddir)/cscope.files
  496. distclean-tags:
  497. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  498. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  499. distdir: $(DISTFILES)
  500. $(am__remove_distdir)
  501. test -d "$(distdir)" || mkdir "$(distdir)"
  502. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  503. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  504. list='$(DISTFILES)'; \
  505. dist_files=`for file in $$list; do echo $$file; done | \
  506. sed -e "s|^$$srcdirstrip/||;t" \
  507. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  508. case $$dist_files in \
  509. */*) $(MKDIR_P) `echo "$$dist_files" | \
  510. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  511. sort -u` ;; \
  512. esac; \
  513. for file in $$dist_files; do \
  514. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  515. if test -d $$d/$$file; then \
  516. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  517. if test -d "$(distdir)/$$file"; then \
  518. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  519. fi; \
  520. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  521. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  522. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  523. fi; \
  524. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  525. else \
  526. test -f "$(distdir)/$$file" \
  527. || cp -p $$d/$$file "$(distdir)/$$file" \
  528. || exit 1; \
  529. fi; \
  530. done
  531. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  532. if test "$$subdir" = .; then :; else \
  533. $(am__make_dryrun) \
  534. || test -d "$(distdir)/$$subdir" \
  535. || $(MKDIR_P) "$(distdir)/$$subdir" \
  536. || exit 1; \
  537. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  538. $(am__relativize); \
  539. new_distdir=$$reldir; \
  540. dir1=$$subdir; dir2="$(top_distdir)"; \
  541. $(am__relativize); \
  542. new_top_distdir=$$reldir; \
  543. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  544. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  545. ($(am__cd) $$subdir && \
  546. $(MAKE) $(AM_MAKEFLAGS) \
  547. top_distdir="$$new_top_distdir" \
  548. distdir="$$new_distdir" \
  549. am__remove_distdir=: \
  550. am__skip_length_check=: \
  551. am__skip_mode_fix=: \
  552. distdir) \
  553. || exit 1; \
  554. fi; \
  555. done
  556. -test -n "$(am__skip_mode_fix)" \
  557. || find "$(distdir)" -type d ! -perm -755 \
  558. -exec chmod u+rwx,go+rx {} \; -o \
  559. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  560. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  561. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  562. || chmod -R a+r "$(distdir)"
  563. dist-gzip: distdir
  564. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  565. $(am__post_remove_distdir)
  566. dist-bzip2: distdir
  567. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  568. $(am__post_remove_distdir)
  569. dist-lzip: distdir
  570. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  571. $(am__post_remove_distdir)
  572. dist-xz: distdir
  573. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  574. $(am__post_remove_distdir)
  575. dist-tarZ: distdir
  576. @echo WARNING: "Support for distribution archives compressed with" \
  577. "legacy program 'compress' is deprecated." >&2
  578. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  579. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  580. $(am__post_remove_distdir)
  581. dist-shar: distdir
  582. @echo WARNING: "Support for shar distribution archives is" \
  583. "deprecated." >&2
  584. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  585. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  586. $(am__post_remove_distdir)
  587. dist-zip: distdir
  588. -rm -f $(distdir).zip
  589. zip -rq $(distdir).zip $(distdir)
  590. $(am__post_remove_distdir)
  591. dist dist-all:
  592. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  593. $(am__post_remove_distdir)
  594. # This target untars the dist file and tries a VPATH configuration. Then
  595. # it guarantees that the distribution is self-contained by making another
  596. # tarfile.
  597. distcheck: dist
  598. case '$(DIST_ARCHIVES)' in \
  599. *.tar.gz*) \
  600. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  601. *.tar.bz2*) \
  602. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  603. *.tar.lz*) \
  604. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  605. *.tar.xz*) \
  606. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  607. *.tar.Z*) \
  608. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  609. *.shar.gz*) \
  610. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  611. *.zip*) \
  612. unzip $(distdir).zip ;;\
  613. esac
  614. chmod -R a-w $(distdir)
  615. chmod u+w $(distdir)
  616. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  617. chmod a-w $(distdir)
  618. test -d $(distdir)/_build || exit 0; \
  619. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  620. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  621. && am__cwd=`pwd` \
  622. && $(am__cd) $(distdir)/_build/sub \
  623. && ../../configure \
  624. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  625. $(DISTCHECK_CONFIGURE_FLAGS) \
  626. --srcdir=../.. --prefix="$$dc_install_base" \
  627. && $(MAKE) $(AM_MAKEFLAGS) \
  628. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  629. && $(MAKE) $(AM_MAKEFLAGS) check \
  630. && $(MAKE) $(AM_MAKEFLAGS) install \
  631. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  632. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  633. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  634. distuninstallcheck \
  635. && chmod -R a-w "$$dc_install_base" \
  636. && ({ \
  637. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  638. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  639. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  640. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  641. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  642. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  643. && rm -rf "$$dc_destdir" \
  644. && $(MAKE) $(AM_MAKEFLAGS) dist \
  645. && rm -rf $(DIST_ARCHIVES) \
  646. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  647. && cd "$$am__cwd" \
  648. || exit 1
  649. $(am__post_remove_distdir)
  650. @(echo "$(distdir) archives ready for distribution: "; \
  651. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  652. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  653. distuninstallcheck:
  654. @test -n '$(distuninstallcheck_dir)' || { \
  655. echo 'ERROR: trying to run $@ with an empty' \
  656. '$$(distuninstallcheck_dir)' >&2; \
  657. exit 1; \
  658. }; \
  659. $(am__cd) '$(distuninstallcheck_dir)' || { \
  660. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  661. exit 1; \
  662. }; \
  663. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  664. || { echo "ERROR: files left after uninstall:" ; \
  665. if test -n "$(DESTDIR)"; then \
  666. echo " (check DESTDIR support)"; \
  667. fi ; \
  668. $(distuninstallcheck_listfiles) ; \
  669. exit 1; } >&2
  670. distcleancheck: distclean
  671. @if test '$(srcdir)' = . ; then \
  672. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  673. exit 1 ; \
  674. fi
  675. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  676. || { echo "ERROR: files left in build directory after distclean:" ; \
  677. $(distcleancheck_listfiles) ; \
  678. exit 1; } >&2
  679. check-am: all-am
  680. check: check-recursive
  681. all-am: Makefile config.h
  682. installdirs: installdirs-recursive
  683. installdirs-am:
  684. install: install-recursive
  685. install-exec: install-exec-recursive
  686. install-data: install-data-recursive
  687. uninstall: uninstall-recursive
  688. install-am: all-am
  689. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  690. installcheck: installcheck-recursive
  691. install-strip:
  692. if test -z '$(STRIP)'; then \
  693. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  694. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  695. install; \
  696. else \
  697. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  698. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  699. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  700. fi
  701. mostlyclean-generic:
  702. clean-generic:
  703. distclean-generic:
  704. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  705. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  706. maintainer-clean-generic:
  707. @echo "This command is intended for maintainers to use"
  708. @echo "it deletes files that may require special tools to rebuild."
  709. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  710. clean: clean-recursive
  711. clean-am: clean-generic mostlyclean-am
  712. distclean: distclean-recursive
  713. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  714. -rm -f Makefile
  715. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  716. dvi: dvi-recursive
  717. dvi-am:
  718. html: html-recursive
  719. html-am:
  720. info: info-recursive
  721. info-am:
  722. install-data-am:
  723. install-dvi: install-dvi-recursive
  724. install-dvi-am:
  725. install-exec-am:
  726. install-html: install-html-recursive
  727. install-html-am:
  728. install-info: install-info-recursive
  729. install-info-am:
  730. install-man:
  731. install-pdf: install-pdf-recursive
  732. install-pdf-am:
  733. install-ps: install-ps-recursive
  734. install-ps-am:
  735. installcheck-am:
  736. maintainer-clean: maintainer-clean-recursive
  737. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  738. -rm -rf $(top_srcdir)/autom4te.cache
  739. -rm -f Makefile
  740. maintainer-clean-am: distclean-am maintainer-clean-generic
  741. mostlyclean: mostlyclean-recursive
  742. mostlyclean-am: mostlyclean-generic
  743. pdf: pdf-recursive
  744. pdf-am:
  745. ps: ps-recursive
  746. ps-am:
  747. uninstall-am:
  748. .MAKE: $(am__recursive_targets) all install-am install-strip
  749. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  750. am--refresh check check-am clean clean-cscope clean-generic \
  751. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  752. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  753. distcheck distclean distclean-generic distclean-hdr \
  754. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  755. dvi-am html html-am info info-am install install-am \
  756. install-data install-data-am install-dvi install-dvi-am \
  757. install-exec install-exec-am install-html install-html-am \
  758. install-info install-info-am install-man install-pdf \
  759. install-pdf-am install-ps install-ps-am install-strip \
  760. installcheck installcheck-am installdirs installdirs-am \
  761. maintainer-clean maintainer-clean-generic mostlyclean \
  762. mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  763. uninstall-am
  764. .PRECIOUS: Makefile
  765. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  766. # Otherwise a system limit (for SysV at least) may be exceeded.
  767. .NOEXPORT: